#include "objectinstance.h"
#include "renderer.h"

using namespace std;

namespace Msp {
namespace GL {

ObjectInstance::ObjectInstance(const Object &obj):
	object(obj)
{ }

void ObjectInstance::render(const Tag &tag) const
{
	Renderer renderer(0);
	render(renderer, tag);
}

void ObjectInstance::render(Renderer &renderer, const Tag &tag) const
{
	object.render(renderer, *this, tag);
}

void ObjectInstance::setup_render(Renderer &renderer, const Tag &) const
{
	renderer.transform(matrix);
}

} // namespace GL
} // namespaec Msp
